- Qt 6.5
- Qt GUI
- C++ Classes
- QAccessibleTextRemoveEvent
- Qt 6.5.0 Reference Documentation

# QAccessibleTextRemoveEvent Class

The QAccessibleTextRemoveEvent class notifies of text being deleted. More...

Header: | #include <QAccessibleTextRemoveEvent>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Gui) target_link_libraries(mytarget PRIVATE Qt6::Gui)
qmake: | QT += gui
Inherits: | QAccessibleTextCursorEvent

- List of all members, including inherited members
- QAccessibleTextRemoveEvent is part of Accessibility Classes.

## Public Functions

| QAccessibleTextRemoveEvent(QObject *object, int position, const QString &text)
| QAccessibleTextRemoveEvent(QAccessibleInterface *iface, int position, const QString &text)
int | changePosition() const
QString | textRemoved() const

## Detailed Description

This class is used with QAccessible::updateAccessibility().

## Member Function Documentation

### QAccessibleTextRemoveEvent::QAccessibleTextRemoveEvent(QObject *object, int position, const QString &text)

Constructs a new QAccessibleTextRemoveEvent event for object. The text has been removed at position. By default it is assumed that the cursor has moved to position. If that is not the case, one needs to manually set it with QAccessibleTextCursorEvent::setCursorPosition() for this event.

### QAccessibleTextRemoveEvent::QAccessibleTextRemoveEvent(QAccessibleInterface *iface, int position, const QString &text)

Constructs a new QAccessibleTextRemoveEvent event for iface. The text has been removed at position. By default it is assumed that the cursor has moved to position. If that is not the case, one needs to manually set it with QAccessibleTextCursorEvent::setCursorPosition() for this event.

### int QAccessibleTextRemoveEvent::changePosition() const

Returns the position where the text was removed.

### QString QAccessibleTextRemoveEvent::textRemoved() const

Returns the text that has been removed.